#ifndef __PFCK_USTRING_H
#define __PFCK_USTRING_H

class Ustring { // user string class
  friend class Udata;
  private:
    char *s;
    int len;

  public:
    Ustring(void);
    Ustring(const char *ccSt);
    Ustring(Ustring &uSt);
    ~Ustring(void);

    char *CheckSize(int newlen);
		
		// Operators
    const Ustring &operator=(Ustring &cuSt);
    const Ustring &operator=(const char *ccSt);
    const Ustring &operator+=(Ustring &cuSt);
    const Ustring &operator+=(const char *ccSt);

    // Conversion functions
    operator const char *() const;

    // Friend operators
    friend Ustring operator+(Ustring &cuSt1,Ustring &cuSt2);
    friend Ustring operator+(const char *ccSt,Ustring &cuSt);
    friend Ustring operator+(Ustring &cuSt,const char *ccSt);
};



#endif